#		pymol script FokI bound to DNA
#		Saira Dar, Graduate student &
#		Loren Williams, Georgia Tech
#		Reference: Structure of the multimodular endonuclease FokI bound to DNA.
#		Wah, D.A.,  Hirsch, J.A.,  Dorner, L.F.,  Schildkraut, I.,  Aggarwal, A.K.
#		Journal: (1997) Nature 388: 97-100
# 		
reinitialize
bg_color white
load 1FOK.pdb, Complex

# Creating_DNA
create DNA, Complex and Chain B+C
remove resn HOH and DNA
create Cartoon_DNA, DNA
set cartoon_ring_mode=3, Cartoon_DNA
hide everything, Cartoon_DNA
set cartoon_tube_radius=0.4, Cartoon_DNA
show cartoon, Cartoon_DNA

# Stick_DNA_sequence
create Stick_DNAseq, DNA
hide everything, Stick_DNAseq
show stick, Stick_DNAseq
color wheat, (Stick_DNAseq and name C*)
color red, (Stick_DNAseq and name O*)
color blue, (Stick_DNAseq and name N*)
color yelloworange, (Stick_DNAseq and name P)
distance WC_Hbond, (name O2,N3,N4 and resn DC and Stick_DNAseq ), (name N2,N1,O6 and resn DG and Stick_DNAseq ), 2.85
distance WC_Hbond, (name N3,O4 and resn DT and Stick_DNAseq ), (name N1,N6 and resn DA and Stick_DNAseq ), 3.1
distance WC_Hbond, (C/DC`935/O2,N3,N4), (B/DG`907/ N2,N1,O6), 3.4
distance WC_Hbond, (C/DC`939/O2,N3,N4), (B/DG`903/N2,N1,O6), 3.4
distance WC_Hbond, (B/DC`919/O2), (C/DG`923/N2), 2.8
distance WC_Hbond, (B/DC`919/N3,N4), (C/DG`923/N1,O6), 3.4
distance WC_Hbond, (B/DT`915/N3,O4), (C/DA`927/N1,N6), 3.6
distance WC_Hbond, (B/DC`914/O2), (C/DG`928/N2), 3.0
distance WC_Hbond, (B/DG`913/N1), (C/DC`929/N3), 3.0
distance WC_Hbond, (B/DC`912/O2,N3,N4), (C/DG`930/N2,N1,O6), 3.2
distance WC_Hbond, (B/DG`904/O6), (C/DC`938/N4), 3.2
distance WC_Hbond, (C/DG`940/N2,N1,O6), (B/DC`902/O2,N3,N4), 3.22
distance WC_Hbond, (B/DA`905/N1), (C/DT`937/N3), 3.4
color black, WC_Hbond
set label_color, black

#-----protein_cartoon_structure
create Fok1_Structural_Domains, Complex and Chain A
hide everything, Fok1_Structural_Domains
show cartoon, Fok1_Structural_Domains
set cartoon_cylindrical_helices,2, Fok1_Structural_Domains
color blue, Fok1_Structural_Domains
color cyan, ss h and Fok1_Structural_Domains
color magenta, ss s and Fok1_Structural_Domains

#-----Fok1_protein_stick structure
create Fok1_Stick_Protein, Complex and Chain A
hide everything, Fok1_Stick_Protein
show stick, Fok1_Stick_Protein
color bluewhite, name C* and Fok1_Stick_Protein
color blue, name N* and Fok1_Stick_Protein
color red, name O* and Fok1_Stick_Protein
color yellow, name S* and Fok1_Stick_Protein

#---Important_Residues
create ARG228, /Fok1_Stick_Protein//A/ARG`228/* + /Stick_DNAseq//B/DG`903/*
distance Hbond_ARG228_G1, /ARG228//A/ARG`228/*, (ARG228 and chain B), 3.1
color black, Hbond_ARG228_G1
create LYS225, /Fok1_Stick_Protein//A/LYS`225/* + /Stick_DNAseq//B/DG`904/*
distance Hbond_LYS225_G2, /LYS225//A/LYS`225/*, (LYS225 and chain B), 3.1
color black, Hbond_LYS225_G2
create GLN12, /Fok1_Stick_Protein//A/GLN`12/* +/Stick_DNAseq//B/DA`905/*
distance Hbond_GLN12_A, /GLN12//A/GLN`12/*, (GLN12 and chain B), 3.4
create ARG79,  /Fok1_Stick_Protein//A/ARG`79/* + /Stick_DNAseq//B/DG`907/*
distance Hbond_ARG79_G5, /ARG79//A/ARG`79/*, (ARG79 and chain B), 3.2
color black, Hbond_ARG79_G5
set label_color, black
 
disable all
# enable dna
enable Fok1_Structural_Domains
# enable WC_Hbond
enable cartoon_dna

set_view (\
     0.012789855,    0.999722660,   -0.019798167,\
    -0.502730548,    0.023544103,    0.864121854,\
     0.864347279,   -0.001099341,    0.502892017,\
     0.000011034,    0.000021428, -120.380638123,\
    39.072357178,   39.435283661,    3.950189590,\
    62.839527130,  177.917892456,    0.000000000 )
